install error

Permalink Browser Info Environment
Hello,
Ive just purchased this addon so i can learn about making blocks for myself. When i completed the install i had an error message as in pic 01. befre dealing with it i decided it was time for coffee, and on my return i saw BD Pro waiting for intallation & pressed install again, pic 02 has that result, but basically it told me i had already installed it and it was listed at the bottom of the installed list.

So i then went to see it the the dashboard\ stacks n blocks, but only the basic block designer is there, i clicking this i get the error shown in pic 03.

I am using RC1 & wonder if this is the cause of the issue.
As it stands i have no use from either of the addons & BD Pro has not completed installation.

Hope ive given enough details...
pat

3 Attachments

Type: Pre-Sale
Status: Resolved
fivepints
View Replies:
ramonleenders replied on at Permalink Reply
ramonleenders
Hi Pat,

What version of Block Designer do you have installed? If you can update this, please update to the latest version.

Kind regards,

Ramon
fivepints replied on at Permalink Reply
fivepints
hi,

i bought this a few days ago,

Block Designer v.1.2.0
Block Designer Pro v.1.0.1

It may have installed ok as i have gone back to v2.7.4
this now shows i have 26 icons to use to make a block, got a felling this is the pro version?
would be nice to change the title to include pro so its easy to tell when its installed.

regards
pat
ramonleenders replied on at Permalink Reply
ramonleenders
Hi Pat,

Could have been the RC indeed, as it's working with 5.7.4. Perhaps they changed stuff that broke? Not yet tested 5.7.5, as I'm busy with client projects.

Thanks for the suggestion for mentioning the Pro version. The Pro version indeed adds some options, but that's mentioned anywhere. You can see it in your extensions of course that it's installed. I will think about making something graphic wise in the Block Designer page. Some sort of text or logo/graphic/icon sort of thing. Does that make sense? :)

Kind regards,

Ramon
BetterCS replied on at Permalink Reply
Any chance to get it working for 5.7.5 asap? Just purchased and installed latest block designer and pro in that order and I get the following when going to the block designer dashboard page:

Class 'Concrete\Package\BlockDesigner\Src\BlockDesignerProcessor' not found


I don't see anything funny with the namespace, it should work? Maybe a quick fix? 5.7.5 will be released any day so it would be nice to have this working before, we can't use it in it's current state because we are using 5.7.5 and downgrading isn't a possibility at this point..
ramonleenders replied on at Permalink Reply
ramonleenders
OK, give me some time to fix this please. I have to install 5.7.5 and dive into this!
ramonleenders replied on at Permalink Reply
ramonleenders
Hi Pat,

Can you update Block Designer to version 1.2.1 and confirm if it's working now?

Kind regards,

Ramon
fivepints replied on at Permalink Reply
fivepints
Hi Ramon,

I have tried to update to v1.2.1 but it says there is no update. when i try to download archive this shows up as v1.0.1, but once installed i can see it says Developed by Devoda © 2015 - Version 1.2.0

As mentioned before i decided to return to v.5.7.4 until things were updated, if 5.7.5 is to be with us very shortly then it makes sense now to wait for its update method and then update yours once you have it sorted.

many thanks
pat
ramonleenders replied on at Permalink Reply
ramonleenders
Pat,

I mean, update Block Designer itself, not the Pro version! Pro has it's own identified version (1.0.1 currently). Block Designer should be at 1.2.1 and updatable.

Kind regards,

Ramon
fivepints replied on at Permalink Reply
fivepints
ok i will try, but so far it says there is no update available when clicking update addons..
i'll check for a manual download and install that if its there...

pat
ramonleenders replied on at Permalink Reply
ramonleenders
Weird... if I go to the marketplace page (https://www.concrete5.org/marketplace/addons/block-designer), the page does say it's 1.2.1..
You still connected with the marketplace and your install is working for other Add-Ons?

Kind regards,

Ramon
fivepints replied on at Permalink Reply
fivepints
yes so far that is correct.

I have however managed a manual download & have installed it again after uninstalling the previous one just to be sure.

As ive said, i am now on v5.7.4. awaiting v5.7.5 and im hoping all will be well when i upgrade to this.

pat
ramonleenders replied on at Permalink Reply
ramonleenders
Hi Pat,

5.7.5 should be working correctly. Do let me know if you have issues though.

Kind regards,

Ramon

concrete5 Environment Information

# concrete5 Version
Core Version - 5.7.5RC1
Version Installed - 5.7.5RC1
Database Version - 20150623000000

# concrete5 Packages
4Concrete5 Dashboard (0.9.0), Anitya Theme (1.2.1), Background Image and Overlay (0.9.4), Block Designer (1.1.1), Block Designer Pro (1.0.0), C5DK TwentyTwenty Image (1.0.1), CometChat (1.0), Easy Weather (0.9.1), Enhanced Toolbar (2.0), Fileset Attribute (0.7), Fruitful (1.2), GalleryES (2.2.3), Honest Websites Back To Top (0.9.4), Icons for Redactor (0.9), Likes This! (2.0.1), Login/Logout Link (1.0), Login Block (0.9.3), Long Way Home (0.9.7), Magic Tabs (6.2.4), Page Activity (0.9.2), Page Selector Attribute (2.0), Responsive Embed (1.0.0), Stack Infinity (1.0.0), Stack Planner (1.0.0), Stack Popover (1.1.1), White Label (1.0.0).

# concrete5 Overrides
languages/tr_TR/LC_MESSAGES/messages.mo, languages/tr_TR/LC_MESSAGES, languages/tr_TR, languages/el_GR/LC_MESSAGES/messages.mo, languages/el_GR/LC_MESSAGES, languages/el_GR, languages/nl_NL/LC_MESSAGES/messages.mo, languages/nl_NL/LC_MESSAGES, languages/nl_NL, languages/da_DK/LC_MESSAGES/messages.mo, languages/da_DK/LC_MESSAGES, languages/da_DK, languages/fi_FI/LC_MESSAGES/messages.mo, languages/fi_FI/LC_MESSAGES, languages/fi_FI, languages/ru_RU/LC_MESSAGES/messages.mo, languages/ru_RU/LC_MESSAGES, languages/ru_RU, languages/de_DE/LC_MESSAGES/messages.mo, languages/de_DE/LC_MESSAGES, languages/de_DE, languages/sv_SE/LC_MESSAGES/messages.mo, languages/sv_SE/LC_MESSAGES, languages/sv_SE, languages/fr_FR/LC_MESSAGES/messages.mo, languages/fr_FR/LC_MESSAGES, languages/fr_FR, languages/ja_JP/LC_MESSAGES/messages.mo, languages/ja_JP/LC_MESSAGES, languages/ja_JP, languages/pl_PL/LC_MESSAGES/messages.mo, languages/pl_PL/LC_MESSAGES, languages/pl_PL, languages/pt_BR/LC_MESSAGES/messages.mo, languages/pt_BR/LC_MESSAGES, languages/pt_BR, languages/it_IT/LC_MESSAGES/messages.mo, languages/it_IT/LC_MESSAGES, languages/it_IT, languages/tr_TR/LC_MESSAGES/messages.mo, languages/tr_TR/LC_MESSAGES, languages/tr_TR, languages/el_GR/LC_MESSAGES/messages.mo, languages/el_GR/LC_MESSAGES, languages/el_GR, languages/nl_NL/LC_MESSAGES/messages.mo, languages/nl_NL/LC_MESSAGES, languages/nl_NL, languages/da_DK/LC_MESSAGES/messages.mo, languages/da_DK/LC_MESSAGES, languages/da_DK, languages/fi_FI/LC_MESSAGES/messages.mo, languages/fi_FI/LC_MESSAGES, languages/fi_FI, languages/ru_RU/LC_MESSAGES/messages.mo, languages/ru_RU/LC_MESSAGES, languages/ru_RU, languages/de_DE/LC_MESSAGES/messages.mo, languages/de_DE/LC_MESSAGES, languages/de_DE, languages/sv_SE/LC_MESSAGES/messages.mo, languages/sv_SE/LC_MESSAGES, languages/sv_SE, languages/fr_FR/LC_MESSAGES/messages.mo, languages/fr_FR/LC_MESSAGES, languages/fr_FR, languages/ja_JP/LC_MESSAGES/messages.mo, languages/ja_JP/LC_MESSAGES, languages/ja_JP, languages/pl_PL/LC_MESSAGES/messages.mo, languages/pl_PL/LC_MESSAGES, languages/pl_PL, languages/pt_BR/LC_MESSAGES/messages.mo, languages/pt_BR/LC_MESSAGES, languages/pt_BR, languages/it_IT/LC_MESSAGES/messages.mo, languages/it_IT/LC_MESSAGES, languages/it_IT

# concrete5 Cache Settings
Block Cache - On
Overrides Cache - On
Full Page Caching - Off
Full Page Cache Lifetime - Every 6 hours (default setting).

# Server Software
Apache/2.4.10 (Unix)

# Server API
cgi-fcgi

# PHP Version
5.3.28

# PHP Extensions
bcmath, bz2, calendar, cgi-fcgi, Core, ctype, curl, date, dom, ereg, exif, fileinfo, filter, ftp, gd, gettext, gmp, hash, iconv, imap, intl, ionCube Loader, json, ldap, libxml, mbstring, mcrypt, mssql, mysql, mysqli, mysqlnd, OAuth, odbc, openssl, pcntl, pcre, PDO, pdo_dblib, pdo_mysql, PDO_ODBC, pdo_pgsql, pdo_sqlite, pgsql, Phar, posix, Reflection, session, shmop, SimpleXML, soap, sockets, SPL, SQLite, sqlite3, standard, sysvmsg, sysvsem, sysvshm, tokenizer, wddx, xml, xmlreader, xmlrpc, xmlwriter, xsl, Zend Guard Loader, zip, zlib.

# PHP Settings
max_execution_time - 30
log_errors_max_len - 1024
max_file_uploads - 20
max_input_nesting_level - 64
max_input_time - 60
max_input_vars - 1000
memory_limit - 128M
post_max_size - 64M
safe_mode - Off
safe_mode_exec_dir - <i>no value</i>
safe_mode_gid - Off
safe_mode_include_dir - <i>no value</i>
sql.safe_mode - Off
upload_max_filesize - 64M
ldap.max_links - Unlimited
mssql.max_links - Unlimited
mssql.max_persistent - Unlimited
mssql.max_procs - Unlimited
mssql.textlimit - Server default
mysql.max_links - Unlimited
mysql.max_persistent - Unlimited
mysqli.max_links - Unlimited
mysqli.max_persistent - Unlimited
odbc.max_links - Unlimited
odbc.max_persistent - Unlimited
pcre.backtrack_limit - 1000000
pcre.recursion_limit - 100000
pgsql.max_links - Unlimited
pgsql.max_persistent - Unlimited
session.cache_limiter - <i>no value</i>
session.gc_maxlifetime - 1440
soap.wsdl_cache_limit - 5
safe_mode_allowed_env_vars - PHP_
safe_mode_protected_env_vars - LD_LIBRARY_PATH

Browser User-Agent String

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:39.0) Gecko/20100101 Firefox/39.0

Hide Post Content

This will replace the post content with the message: "Content has been removed by an Administrator"

Hide Content

Request Refund

You may not request a refund that is not currently owned by you.